Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cocoon.forms.binding
Class AggregateJXPathBinding

    java.lang.Object
      org.apache.cocoon.util.AbstractLogEnabled
          org.apache.cocoon.forms.binding.JXPathBindingBase
              org.apache.cocoon.forms.binding.ComposedJXPathBindingBase
                  org.apache.cocoon.forms.binding.AggregateJXPathBinding

All Implemented Interfaces:
  Binding

public class AggregateJXPathBinding
extends ComposedJXPathBindingBase

AggregateJXPathBinding provides an implementation of a `Binding` that narrows the context towards provided childbindings.

NOTES:

1. This Binding assumes that the provided widget-id points to a widget that contains other widgets.

Version:
  $Id: AggregateJXPathBinding.java 640682 2008-03-25 03:23:17Z vgritsenko $

Field Summary

Fields inherited from class org.apache.cocoon.forms.binding.JXPathBindingBase
`classes, parent`

Constructor Summary
`AggregateJXPathBinding(JXPathBindingBuilderBase.CommonAttributes commonAtts, String widgetId, String xpath, JXPathBindingBase[] childBindings)` Constructs AggregateJXPathBinding

Method Summary
`void` | `doLoad(Widget frmModel, org.apache.commons.jxpath.JXPathContext jxpc)` Narrows the scope on the form-model to the member widget-field, and narrows the scope on the object-model to the member xpath-context before continuing the binding over the child-bindings.
`void` | `doSave(Widget frmModel, org.apache.commons.jxpath.JXPathContext jxpc)` Narrows the scope on the form-model to the member widget-field, and narrows the scope on the object-model to the member xpath-context before continuing the binding over the child-bindings.
`String` | `getId()` Returns binding definition id.
`String` | `getXPath()`
`String` | `toString()`

Methods inherited from class org.apache.cocoon.forms.binding.ComposedJXPathBindingBase
`getChildBindings, getClass`

Methods inherited from class org.apache.cocoon.forms.binding.JXPathBindingBase
`getCommonAtts, getEnclosingLibrary, getLocation, isValid, loadFormFromModel, loadFormFromModel, saveFormToModel, saveFormToModel, selectWidget, setEnclosingLibrary, setParent`

Methods inherited from class org.apache.cocoon.util.AbstractLogEnabled
`getLogger, setLogger`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AggregateJXPathBinding

    public AggregateJXPathBinding(JXPathBindingBuilderBase.CommonAttributes commonAtts,
                                  String widgetId,
                                  String xpath,
                                  JXPathBindingBase[] childBindings)

  Constructs AggregateJXPathBinding

Parameters:
  `widgetId` -
  `xpath` -
  `childBindings` -

Method Detail

### getXPath

    public String getXPath()

  Overrides:
    `getXPath` in class `ComposedJXPathBindingBase`

### getId

    public String getId()

  Description copied from class: `JXPathBindingBase`
  Returns binding definition id.

  Specified by:
    `getId` in interface `Binding`
  Overrides:
    `getId` in class `JXPathBindingBase`

### doLoad

    public void doLoad(Widget frmModel,
                       org.apache.commons.jxpath.JXPathContext jxpc)
                throws BindingException

  Narrows the scope on the form-model to the member widget-field, and narrows the scope on the object-model to the member xpath-context before continuing the binding over the child-bindings.

  Overrides:
    `doLoad` in class `ComposedJXPathBindingBase`
  Throws:
    `BindingException`

### doSave

    public void doSave(Widget frmModel,
                       org.apache.commons.jxpath.JXPathContext jxpc)
                throws BindingException

  Narrows the scope on the form-model to the member widget-field, and narrows the scope on the object-model to the member xpath-context before continuing the binding over the child-bindings.

  Overrides:
    `doSave` in class `ComposedJXPathBindingBase`
  Throws:
    `BindingException`

### toString

    public String toString()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2008 The Apache Software Foundation. All Rights Reserved.